<%@ page contentType="text/html; charset=GBK"%>
<%@ taglib uri="/cms4j" prefix="cms4j" %>

<%@ page import = "cn.com.dekn.cms.util.*" %>


<%
/***********************************
* 显示特性参数初始化
***********************************/
//是否显示 “首页”
String IS_SHOW_HOME = StrUtil.getNotNullStringValue(request.getParameter("IS_SHOW_HOME"),"true"); 

//栏目文章显示页
String CLASS_URL = StrUtil.getNotNullStringValue(request.getParameter("CLASS_URL"),"ShowClass.jsp"); 

//子栏目显示页
String CLASS_LIST_URL = StrUtil.getNotNullStringValue(request.getParameter("CLASS_LIST_URL"),"ShowClassList.jsp"); 

//首页URL
String HOME_URL = StrUtil.getNotNullStringValue(request.getParameter("HOME_URL"),"index.jsp"); 

//文字颜色
String TEXT_COLOR = StrUtil.getNotNullStringValue(request.getParameter("TEXT_COLOR"),""); 

//分隔符
String SPEARATOR = StrUtil.getNotNullStringValue(request.getParameter("SPEARATOR"),""); 

//分隔符颜色
String SPEARATOR_COLOR = StrUtil.getNotNullStringValue(request.getParameter("SPEARATOR_COLOR"),""); 

//网站群节点ID
String NODE_ID = StrUtil.getNotNullStringValue(request.getParameter("NODE_ID"),"root");

//网站群节点参数
String CLUSTER_URL_PARAM = "";
if(null != request.getParameter("cluster_node_id")){
	CLUSTER_URL_PARAM = "cluster_node_id=" + request.getParameter("cluster_node_id");
}
//CSS
String CSS = StrUtil.getNotNullStringValue(request.getParameter("CSS"),""); 


%>

<% if(IS_SHOW_HOME.equals("true")){ %>
 <a href="<%=HOME_URL%>?<%=CLUSTER_URL_PARAM%>" class="<%=CSS%>">
 <% if(!TEXT_COLOR.equals("")){ %> <font color="<%=TEXT_COLOR%>"><%}%>首页<% if(!TEXT_COLOR.equals("")){ %></font><%}%></a> <font color="<%=SPEARATOR_COLOR%>"><%=SPEARATOR%></font> 
 <% } %>
<cms4j:class show="1" node_id="<%=NODE_ID%>">
<a href="<%=class_info.getLinkURL(CLASS_URL,CLASS_LIST_URL,"id",CLUSTER_URL_PARAM)%>" class="<%=CSS%>">
<% if(!TEXT_COLOR.equals("")){ %><font color="<%=TEXT_COLOR%>"><%}%><%=class_info.getCLASS_NAME()%><% if(!TEXT_COLOR.equals("")){ %></font><%}%></a>
 <font color="<%=SPEARATOR_COLOR%>"><%=SPEARATOR%></font> 
</cms4j:class>
